Project

General

Profile

Feature #7909

Support ScrambleSuit bridges

Added by intrigeri about 5 years ago. Updated almost 5 years ago.

Status:
Rejected
Priority:
Normal
Assignee:
Category:
Tor configuration
Target version:
-
Start date:
09/17/2014
Due date:
% Done:

50%

Feature Branch:
feature/7909-scramblesuit
Type of work:
Code
Blueprint:
Starter:
Affected tool:

Related issues

Related to Tails - Feature #7980: Support obfs4 bridges Resolved 10/01/2014
Related to Tails - Feature #8243: Support meek bridges Confirmed 11/08/2014
Related to Tails - Feature #9073: Evaluate obfs4proxy 0.0.4 in Tails Resolved 03/18/2015
Related to Tails - Feature #9133: Write automatic tests for ScrambleSuit Rejected 03/30/2015
Related to Tails - Feature #9132: Document that ScrambleSuit bridges are supported Resolved 03/30/2015
Blocked by Tails - Feature #7907: Upgrade Tor to 0.2.5.x Resolved 09/17/2014

History

#1 Updated by intrigeri about 5 years ago

  • Status changed from Confirmed to In Progress
  • Assignee deleted (intrigeri)
  • % Done changed from 0 to 50
  • QA Check set to Ready for QA

#2 Updated by intrigeri about 5 years ago

#3 Updated by intrigeri about 5 years ago

#4 Updated by intrigeri about 5 years ago

  • Assignee set to intrigeri
  • Target version changed from Tails_1.2 to Tails_1.2.1
  • QA Check changed from Ready for QA to Dev Needed

Broken when the usr.bin.obfsproxy AppArmor profile is enabled, works otherwise. The AppArmor denial logs don't point me at anything that should seriously be blocking, but I'll look deeper. Postponed.

#5 Updated by intrigeri about 5 years ago

  • Feature Branch set to feature/7909-scramblesuit

#6 Updated by intrigeri about 5 years ago

  • Target version changed from Tails_1.2.1 to Tails_1.3

#7 Updated by intrigeri about 5 years ago

#8 Updated by intrigeri almost 5 years ago

  • Status changed from In Progress to Rejected
  • Target version deleted (Tails_1.3)

On tor-talk we've been told "You shouldn't prioritise ScrambleSuit because it's superseded by obfs4", and there are now pressing plans in the Tor Project to deprecate obfs2 and obfs3 in favour of obfs4. Hence rejecting this ticket, and focusing on #7980 instead.

#9 Updated by intrigeri almost 5 years ago

  • Subject changed from Support scramblesuit bridges to Support ScrambleSuit bridges

Also note that obfs4proxy 0.0.4 adds (client only) support for ScrambleSuit.

#10 Updated by intrigeri over 4 years ago

  • Related to Feature #9073: Evaluate obfs4proxy 0.0.4 in Tails added

#11 Updated by anonym over 4 years ago

  • Related to Feature #9133: Write automatic tests for ScrambleSuit added

#12 Updated by anonym over 4 years ago

  • Related to Feature #9132: Document that ScrambleSuit bridges are supported added

Also available in: Atom PDF